Page MenuHomeFreeBSD

Set PS1 for toor
ClosedPublic

Authored by trasz on Jan 17 2019, 1:56 PM.

Details

Summary

Install .shrc for root, and set PS1 for the toor account.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

trasz created this revision.Jan 17 2019, 1:56 PM
trasz added a reviewer: imp.Jan 17 2019, 1:57 PM
jilles added inline comments.Jan 20 2019, 7:56 PM
bin/sh/dot.shrc
36 ↗(On Diff #52923)

Hmm, perhaps strip the whoami part here? It will not work in single-user mode with the obsolete configuration of separate /usr.

trasz added inline comments.Jan 20 2019, 10:00 PM
bin/sh/dot.shrc
36 ↗(On Diff #52923)

I think I'll wait until https://reviews.freebsd.org/D18790 is committed and reuse the \u here.

trasz updated this revision to Diff 53153.Jan 24 2019, 12:03 PM

Use \u.

trasz marked an inline comment as done.Jan 24 2019, 12:03 PM
jilles accepted this revision.Jan 24 2019, 10:25 PM
This revision is now accepted and ready to land.Jan 24 2019, 10:25 PM
This revision was automatically updated to reflect the committed changes.